Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.models

# Enum PathItem.HttpMethod

java.lang.Object
java.lang.Enum<PathItem.HttpMethod>
org.eclipse.microprofile.openapi.models.PathItem.HttpMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<PathItem.HttpMethod>`

Enclosing interface:
  PathItem

public static enum PathItem.HttpMethod extends Enum<PathItem.HttpMethod>
All of the possible types of HTTP operations for this path

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`PATCH`
`POST`
`PUT`
`TRACE`

## Method Summary

Modifier and Type
Method
Description
`static PathItem.HttpMethod`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PathItem.HttpMethod[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### POST

public static final PathItem.HttpMethod POST

### GET

public static final PathItem.HttpMethod GET

### PUT

public static final PathItem.HttpMethod PUT

### PATCH

public static final PathItem.HttpMethod PATCH

### DELETE

public static final PathItem.HttpMethod DELETE

### HEAD

public static final PathItem.HttpMethod HEAD

### OPTIONS

public static final PathItem.HttpMethod OPTIONS

### TRACE

public static final PathItem.HttpMethod TRACE

## Method Details

### values

public static PathItem.HttpMethod[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PathItem.HttpMethod valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null